Search postpaid usages
Search postpaid usages under your partner account by different criteria.
Request
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Filter results by year. Minimum value allowed is 2022.
Filter results by month. Allowed value can range between 1 and 12.
Search query string.
Filter results by sim type.
PHYSICAL— Physical SIMEMBEDDED— eSIM
Filter results by device type.
PEPLINK— Linked with a Peplink DeviceNON_PEPLINK— 3rd-party SIM
Filter results by tag IDs.
Filter results by iccids.
Filter results by Peplink serial numbers.
Response
A json is returned in the response body with the following fields:
Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns records found for the current page of search result.
Show child attributes
ICCID of the SIM.
Tag IDs of the sim.
Type of the SIM.
PHYSICAL— Physical SIMEMBEDDED— eSIM
Device type of the sim.
PEPLINK— Linked with a Peplink DeviceNON_PEPLINK— 3rd-party SIM
SN (serial number) of Peplink device linked to the sim. null if not applicable.
EID of Peplink device linked to the sim. null if not applicable.
Usage of this month.
Show child attributes
Year of the usage.
Month of the usage.
Used data volume (in MB) of the usage.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/postpaid/usages/search?pageNum=1&pageSize=5&year=2025&month=5' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"iccid": "89000000000000000000",
"tagIds": [],
"simType": "EMBEDDED",
"deviceType": "NON_PEPLINK",
"peplinkDeviceSn": null,
"eid": null,
"usage": {
"year": 2025,
"month": 5,
"usageMb": 0
}
}
]
}